{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.graphical {

  # Paquets
  environment.systemPackages = with pkgs; [
     # Gestion de FS
     gparted       # Gestion graphique de partitions
     unetbootin    # création de clefs USB bootables

     # visualisation de log
     #logstalgia
  ];
}
