{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.developpement-java && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    # IDE
    jetbrains.idea-community # IntelliJ IDEA
  ];
}
